Bug 985113 - SFTP transfers handled by kio_sftp are much slower than those handled by scp
SFTP transfers handled by kio_sftp are much slower than those handled by scp
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-runtime (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 16:02 EDT by Alex G.
Modified: 2015-06-29 08:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:05:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex G. 2013-07-16 16:02:38 EDT
Description of problem:
On a gigabit network, I can transfer files with an average throughput of 80 Mib/s with scp. Transferring the exact files using Dolphin and kio_sftp gives an average throughput of only 12 MiB/s.

Version-Release number of selected component (if applicable):
kde-runtime-libs-4.10.4-2.fc19.x86_64


How reproducible:
Always

Steps to Reproduce:
0.a. Setup a gigabit network with at least two machines
0.b. Set up ssh access on machine 2
1. On machine1 open Dolphin
2. Click on the "address" bar. The bar becomes editable
3. enter "sftp://<user>@<ip_of_machine2>:/home/<user>"
4. Enter password when prompted for one
5. After directory loads, "copy"(Ctrl-C) a large local, and "paste" (Ctrl-V) it in the Dolphin window. This starts the transfer.
6. Use the "Network Management" widget to observe transfer speed
7. Try to copy the same or a similar file with scp:
 $ scp large.file <user>@<ip_of_machine2>:/home/<user>/
8 Observe the transfer speed either by watching scp output, or using the "Network Management" widget.

Actual results:
kio_sftp: about 12 MiB/s average throughput, and 80% cpu (core) usage
scp: about 80 MiB/s average throughput, and 35% cpu (core) usage

Expected results:
Same throughput using both scp and kio_sftp, and same cpu usage.

Additional info:
I transferred one contiguous 8 GiB file. The network was comprised of standard CAT 5E cabling with a low-cost gigabit switch.
Comment 1 Alex G. 2014-01-21 15:59:02 EST
Ping? Issue is still here with latest F20 packages.
Comment 2 Rex Dieter 2014-01-24 10:46:25 EST
We're not likely to work on this downstream in fedora (largely due to time and expertise constraints).

If you have continued interest in resolving this, contacting upstream (via bugs.kde.org or mailing lists) will have a better chance at yielding results.
Comment 3 Fedora End Of Life 2015-05-29 05:11:10 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:05:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.